com.genesyslab.wfm7.API.service.schedule750

## Class SchBid

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchBid

- All Implemented Interfaces:
    java.io.Serializable

      public class SchBid
      extends java.lang.Object
      implements java.io.Serializable

  Agent Schedule Bid
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Actual agent ID: identifies the agent who is bidding on the profile agent schedule.
    `private int` | `wmBid` Bid value: value of '1' stands for 'my first choice', value '2' = 'my second choice', and so on.
    `private int` | `wmProfileAgentId` Profile Agent ID: identifies the profile agent schedule on which that agent is bidding.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchBid()`
    `SchBid(int gswAgentId, int wmProfileAgentId, int wmBid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchBid.
    `int` | `getWmBid()` Gets the wmBid value for this SchBid.
    `int` | `getWmProfileAgentId()` Gets the wmProfileAgentId value for this SchBid.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchBid.
    `void` | `setWmBid(int wmBid)` Sets the wmBid value for this SchBid.
    `void` | `setWmProfileAgentId(int wmProfileAgentId)` Sets the wmProfileAgentId value for this SchBid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

      Actual agent ID: identifies the agent who is bidding on the profile agent schedule.

    - #### wmProfileAgentId

          private int wmProfileAgentId

      Profile Agent ID: identifies the profile agent schedule on which that agent is bidding.

    - #### wmBid

          private int wmBid

      Bid value: value of '1' stands for 'my first choice', value '2' = 'my second choice', and so on. Negative values stand for 'undesirable' choices. For instance, a value of '-1' stands for 'my least desired schedule'.

  - ### Constructor Detail

    - #### SchBid

          public SchBid()

    - #### SchBid

          public SchBid(int gswAgentId,
                int wmProfileAgentId,
                int wmBid)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchBid.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchBid.
      Parameters:
        `gswAgentId` -

    - #### getWmProfileAgentId

          public int getWmProfileAgentId()

      Gets the wmProfileAgentId value for this SchBid.
      Returns:
        wmProfileAgentId

    - #### setWmProfileAgentId

          public void setWmProfileAgentId(int wmProfileAgentId)

      Sets the wmProfileAgentId value for this SchBid.
      Parameters:
        `wmProfileAgentId` -

    - #### getWmBid

          public int getWmBid()

      Gets the wmBid value for this SchBid.
      Returns:
        wmBid

    - #### setWmBid

          public void setWmBid(int wmBid)

      Sets the wmBid value for this SchBid.
      Parameters:
        `wmBid` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.